import './globals.css';

export const metadata = {
  title: 'storbies my beloved',
  authors: { name: 'Nikola Kubiczek' },
  description: 'my things',
  colorScheme: 'dark',
  viewport: 'width=device-width,initial-scale=1.0',
  icons: ['icon.png'],
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html className="dark" lang="en" dir="ltr">
      <body className="bg-zinc-900 text-zinc-100 bg-gothic-pattern">{children}</body>
    </html>
  );
}
